Bug 1121123 - Review Request: rubygem-httpi - Common interface for Ruby's HTTP libraries
Summary: Review Request: rubygem-httpi - Common interface for Ruby's HTTP libraries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1121124 1121125
TreeView+ depends on / blocked
 
Reported: 2014-07-18 12:25 UTC by Steve Traylen
Modified: 2017-05-31 09:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 09:21:03 UTC


Attachments (Terms of Use)

Description Steve Traylen 2014-07-18 12:25:13 UTC
Spec URL: http://cern.ch/straylen/rpms/rubygem-httpi/rubygem-httpi.spec
SRPM URL:  http://cern.ch/straylen/rpms/rubygem-httpi/rubygem-httpi-2.2.4-1.fc20.src.rpm
Description:
Common interface for Ruby's HTTP libraries.
Fedora Account System Username: stevetraylen

Comment 1 Jun Aruga 2016-03-11 17:15:50 UTC
Hi, Steve

Let me review this.

- httpi requires rubyhtlm.
As you know, this module depends on below rubygem-rubyntlm, you are checking.
https://bugzilla.redhat.com/show_bug.cgi?id=1095895

In mock environment. actually httpi requires rubyntlm module.
You can update bugzilla for the dependency. "Depends 1095895"

<mock-chroot>sh-4.3# irb
require 'httpi'
D, [2016-03-11T17:24:14.614192 #9192] DEBUG -- : Net::NTLM is not available. Install via gem install rubyntlm.

- Remove unsupported fedora's condition statement such as {?fc19}.

- URL: http://github.com/savonrb/savon
  => https://github.com/savonrb/httpi

- Add rpec test to %check.

- Use %license macro at %files.

- Use %exclude %{gem_instdir}/.* at %files.

Comment 2 Steve Traylen 2017-05-31 09:21:03 UTC
So old, can't remember by why I wanted it. Apologies for the lack of response.


Note You need to log in before you can comment on or make changes to this bug.